#!/usr/bin/make -f

#export DH_VERBOSE = 1
export MPLCONFIGDIR=$(CURDIR)/build
export PYBUILD_NAME=wxmplot

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	$(RM) wxmplot/version.py

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	dh_numpy3
	PYTHONPATH=. python3 -m sphinx -N -bhtml doc/ build/html
